Package io.vertx.grpc.reflection.v1

## Class ExtensionRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessage.Builder<ExtensionRequest.Builder>
      - - io.vertx.grpc.reflection.v1.ExtensionRequest.Builder

- All Implemented Interfaces:
    `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ExtensionRequestOrBuilder`, `Cloneable`
  Enclosing class:
    ExtensionRequest

      public static final class ExtensionRequest.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<ExtensionRequest.Builder>
      implements ExtensionRequestOrBuilder

       The type name and extension number sent by the client when requesting
       file_containing_extension.

  Protobuf type `grpc.reflection.v1.ExtensionRequest`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExtensionRequest` | `build()` |
    `ExtensionRequest` | `buildPartial()` |
    `ExtensionRequest.Builder` | `clear()` |
    `ExtensionRequest.Builder` | `clearContainingType()` | Fully-qualified type name.
    `ExtensionRequest.Builder` | `clearExtensionNumber()` | `int32 extension_number = 2;`
    `String` | `getContainingType()` | Fully-qualified type name.
    `com.google.protobuf.ByteString` | `getContainingTypeBytes()` | Fully-qualified type name.
    `ExtensionRequest` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
    `int` | `getExtensionNumber()` | `int32 extension_number = 2;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `ExtensionRequest.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `ExtensionRequest.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
    `ExtensionRequest.Builder` | `mergeFrom​(ExtensionRequest other)` |
    `ExtensionRequest.Builder` | `setContainingType​(String value)` | Fully-qualified type name.
    `ExtensionRequest.Builder` | `setContainingTypeBytes​(com.google.protobuf.ByteString value)` | Fully-qualified type name.
    `ExtensionRequest.Builder` | `setExtensionNumber​(int value)` | `int32 extension_number = 2;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.Message.Builder

      `mergeDelimitedFrom, mergeDelimitedFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<ExtensionRequest.Builder>`

    - #### clear

          public ExtensionRequest.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<ExtensionRequest.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<ExtensionRequest.Builder>`

    - #### getDefaultInstanceForType

          public ExtensionRequest getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public ExtensionRequest build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public ExtensionRequest buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public ExtensionRequest.Builder mergeFrom​(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ExtensionRequest.Builder>`

    - #### mergeFrom

          public ExtensionRequest.Builder mergeFrom​(ExtensionRequest other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<ExtensionRequest.Builder>`

    - #### mergeFrom

          public ExtensionRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                             throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ExtensionRequest.Builder>`
      Throws:
        `IOException`

    - #### getContainingType

          public String getContainingType()

           Fully-qualified type name. The format should be <package>.<type>

      `string containing_type = 1;`
      Specified by:
        `getContainingType` in interface `ExtensionRequestOrBuilder`
      Returns:
        The containingType.

    - #### getContainingTypeBytes

          public com.google.protobuf.ByteString getContainingTypeBytes()

           Fully-qualified type name. The format should be <package>.<type>

      `string containing_type = 1;`
      Specified by:
        `getContainingTypeBytes` in interface `ExtensionRequestOrBuilder`
      Returns:
        The bytes for containingType.

    - #### setContainingType

          public ExtensionRequest.Builder setContainingType​(String value)

           Fully-qualified type name. The format should be <package>.<type>

      `string containing_type = 1;`
      Parameters:
        `value` - The containingType to set.
      Returns:
        This builder for chaining.

    - #### clearContainingType

          public ExtensionRequest.Builder clearContainingType()

           Fully-qualified type name. The format should be <package>.<type>

      `string containing_type = 1;`
      Returns:
        This builder for chaining.

    - #### setContainingTypeBytes

          public ExtensionRequest.Builder setContainingTypeBytes​(com.google.protobuf.ByteString value)

           Fully-qualified type name. The format should be <package>.<type>

      `string containing_type = 1;`
      Parameters:
        `value` - The bytes for containingType to set.
      Returns:
        This builder for chaining.

    - #### getExtensionNumber

          public int getExtensionNumber()

      `int32 extension_number = 2;`
      Specified by:
        `getExtensionNumber` in interface `ExtensionRequestOrBuilder`
      Returns:
        The extensionNumber.

    - #### setExtensionNumber

          public ExtensionRequest.Builder setExtensionNumber​(int value)

      `int32 extension_number = 2;`
      Parameters:
        `value` - The extensionNumber to set.
      Returns:
        This builder for chaining.

    - #### clearExtensionNumber

          public ExtensionRequest.Builder clearExtensionNumber()

      `int32 extension_number = 2;`
      Returns:
        This builder for chaining.